--- a/Sources/GL/GLX/input_device_linuxevent.cpp	2009-05-16 14:41:42.000000000 +0000
+++ b/Sources/GL/GLX/input_device_linuxevent.cpp	2009-05-16 14:41:53.000000000 +0000
@@ -34,6 +34,7 @@
 #include <unistd.h>
 #include <iostream>
 #include <errno.h>
+#include <cstdio>
 #include <cstring>
 
 #include "API/Core/System/error.h"
--- a/Sources/GL/GLX/input_device_xinput.cpp	2009-05-16 14:42:22.000000000 +0000
+++ b/Sources/GL/GLX/input_device_xinput.cpp	2009-05-16 14:42:29.000000000 +0000
@@ -28,6 +28,7 @@
 */
 
 #include <iostream>
+#include <cstdio>
 #include <cstring>
 #include "API/Core/System/log.h"
 #include "API/Display/input_device.h"
--- a/Sources/GL/canvas_opengl.cpp	2009-05-16 14:33:34.000000000 +0000
+++ b/Sources/GL/canvas_opengl.cpp	2009-05-16 14:33:42.000000000 +0000
@@ -47,6 +47,7 @@
 #endif
 #include "graphic_context_opengl.h"
 #include "surface_target_opengl.h"
+#include <cstdio>
 #include <cstring>
